<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: ExpansionClientSettingsModule Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.17</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d9/dcb/a05154.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-static-attribs">Static Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">ExpansionClientSettingsModule Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for ExpansionClientSettingsModule:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d9/dcb/a05154.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:af8cfa796d78111720c2a75795543c653"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dcb/a05154.html#af8cfa796d78111720c2a75795543c653">OnInit</a> ()</td></tr>
<tr class="separator:af8cfa796d78111720c2a75795543c653"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a78d4dd75bd19df66cb39b6007634a2f9"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dcb/a05154.html#a78d4dd75bd19df66cb39b6007634a2f9">IsServer</a> ()</td></tr>
<tr class="separator:a78d4dd75bd19df66cb39b6007634a2f9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a38372e42f6956450fd88c0318255d06c"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dcb/a05154.html#a38372e42f6956450fd88c0318255d06c">IsClient</a> ()</td></tr>
<tr class="separator:a38372e42f6956450fd88c0318255d06c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a019f82bb12a66258529b9f7811740b0d"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dcb/a05154.html#a019f82bb12a66258529b9f7811740b0d">OnInvokeConnect</a> (Class sender, CF_EventArgs args)</td></tr>
<tr class="separator:a019f82bb12a66258529b9f7811740b0d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8c15e87cba8ea4cfd39ec2a08d31ac9b"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dcb/a05154.html#a8c15e87cba8ea4cfd39ec2a08d31ac9b">OnClientLogout</a> (Class sender, CF_EventArgs args)</td></tr>
<tr class="separator:a8c15e87cba8ea4cfd39ec2a08d31ac9b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:affba0aaea07b0db680bb806594446439"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dcb/a05154.html#affba0aaea07b0db680bb806594446439">OnSettingsChanged</a> (Class sender, CF_EventArgs args)</td></tr>
<tr class="separator:affba0aaea07b0db680bb806594446439"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:affba0aaea07b0db680bb806594446439"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dcb/a05154.html#affba0aaea07b0db680bb806594446439">OnSettingsChanged</a> (Class sender, CF_EventArgs args)</td></tr>
<tr class="separator:affba0aaea07b0db680bb806594446439"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-static-attribs" name="pri-static-attribs"></a>
Static Private Attributes</h2></td></tr>
<tr class="memitem:ac8d8f9681c20358fef43ba065101378c"><td class="memItemLeft" align="right" valign="top">static ref ScriptInvoker&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dcb/a05154.html#ac8d8f9681c20358fef43ba065101378c">m_SettingChanged</a> = new ScriptInvoker</td></tr>
<tr class="separator:ac8d8f9681c20358fef43ba065101378c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >ExpansionClientSettingsModule.c</p>
<p >DayZ Expansion Mod www.dayzexpansion.com © 2022 DayZ Expansion Mod Team</p>
<p >This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. To view a copy of this license, visit <a href="http://creativecommons.org/licenses/by-nc-nd/4.0/">http://creativecommons.org/licenses/by-nc-nd/4.0/</a>. </p>

<p class="definition">Definition at line <a class="el" href="../../db/d42/a09334_source.html#l00014">14</a> of file <a class="el" href="../../db/d42/a09334_source.html">expansionclientsettingsmodule.c</a>.</p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a38372e42f6956450fd88c0318255d06c" name="a38372e42f6956450fd88c0318255d06c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a38372e42f6956450fd88c0318255d06c">&#9670;&#160;</a></span>IsClient()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ExpansionClientSettingsModule::IsClient </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d42/a09334_source.html#l00032">32</a> of file <a class="el" href="../../db/d42/a09334_source.html">expansionclientsettingsmodule.c</a>.</p>

</div>
</div>
<a id="a78d4dd75bd19df66cb39b6007634a2f9" name="a78d4dd75bd19df66cb39b6007634a2f9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a78d4dd75bd19df66cb39b6007634a2f9">&#9670;&#160;</a></span>IsServer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ExpansionClientSettingsModule::IsServer </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d42/a09334_source.html#l00027">27</a> of file <a class="el" href="../../db/d42/a09334_source.html">expansionclientsettingsmodule.c</a>.</p>

</div>
</div>
<a id="a8c15e87cba8ea4cfd39ec2a08d31ac9b" name="a8c15e87cba8ea4cfd39ec2a08d31ac9b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8c15e87cba8ea4cfd39ec2a08d31ac9b">&#9670;&#160;</a></span>OnClientLogout()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionClientSettingsModule::OnClientLogout </td>
          <td>(</td>
          <td class="paramtype">Class&#160;</td>
          <td class="paramname"><em>sender</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">CF_EventArgs&#160;</td>
          <td class="paramname"><em>args</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d42/a09334_source.html#l00051">51</a> of file <a class="el" href="../../db/d42/a09334_source.html">expansionclientsettingsmodule.c</a>.</p>

</div>
</div>
<a id="af8cfa796d78111720c2a75795543c653" name="af8cfa796d78111720c2a75795543c653"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af8cfa796d78111720c2a75795543c653">&#9670;&#160;</a></span>OnInit()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionClientSettingsModule::OnInit </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d42/a09334_source.html#l00018">18</a> of file <a class="el" href="../../db/d42/a09334_source.html">expansionclientsettingsmodule.c</a>.</p>

</div>
</div>
<a id="a019f82bb12a66258529b9f7811740b0d" name="a019f82bb12a66258529b9f7811740b0d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a019f82bb12a66258529b9f7811740b0d">&#9670;&#160;</a></span>OnInvokeConnect()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionClientSettingsModule::OnInvokeConnect </td>
          <td>(</td>
          <td class="paramtype">Class&#160;</td>
          <td class="paramname"><em>sender</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">CF_EventArgs&#160;</td>
          <td class="paramname"><em>args</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d42/a09334_source.html#l00037">37</a> of file <a class="el" href="../../db/d42/a09334_source.html">expansionclientsettingsmodule.c</a>.</p>

</div>
</div>
<a id="affba0aaea07b0db680bb806594446439" name="affba0aaea07b0db680bb806594446439"></a>
<h2 class="memtitle"><span class="permalink"><a href="#affba0aaea07b0db680bb806594446439">&#9670;&#160;</a></span>OnSettingsChanged() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionClientSettingsModule::OnSettingsChanged </td>
          <td>(</td>
          <td class="paramtype">Class&#160;</td>
          <td class="paramname"><em>sender</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">CF_EventArgs&#160;</td>
          <td class="paramname"><em>args</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/d9d/a09337_source.html#l00003">3</a> of file <a class="el" href="../../da/d9d/a09337_source.html">expansionclientsettingsmodule.c</a>.</p>

</div>
</div>
<a id="affba0aaea07b0db680bb806594446439" name="affba0aaea07b0db680bb806594446439"></a>
<h2 class="memtitle"><span class="permalink"><a href="#affba0aaea07b0db680bb806594446439">&#9670;&#160;</a></span>OnSettingsChanged() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionClientSettingsModule::OnSettingsChanged </td>
          <td>(</td>
          <td class="paramtype">Class&#160;</td>
          <td class="paramname"><em>sender</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">CF_EventArgs&#160;</td>
          <td class="paramname"><em>args</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d98/a09340_source.html#l00003">3</a> of file <a class="el" href="../../d3/d98/a09340_source.html">expansionclientsettingsmodule.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="ac8d8f9681c20358fef43ba065101378c" name="ac8d8f9681c20358fef43ba065101378c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac8d8f9681c20358fef43ba065101378c">&#9670;&#160;</a></span>m_SettingChanged</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref ScriptInvoker ExpansionClientSettingsModule::m_SettingChanged = new ScriptInvoker</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d42/a09334_source.html#l00016">16</a> of file <a class="el" href="../../db/d42/a09334_source.html">expansionclientsettingsmodule.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>DayzExpansion/Core/Scripts/5_mission/dayzexpansion_core/classes/modules/<a class="el" href="../../db/d42/a09334_source.html">expansionclientsettingsmodule.c</a></li>
<li>DayzExpansion/Navigation/Scripts/5_mission/dayzexpansion_navigation/<a class="el" href="../../da/d9d/a09337_source.html">expansionclientsettingsmodule.c</a></li>
<li>DayzExpansion/Vehicles/Scripts/5_mission/dayzexpansion_vehicles/gui/modules/<a class="el" href="../../d3/d98/a09340_source.html">expansionclientsettingsmodule.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d9/dcb/a05154.html">ExpansionClientSettingsModule</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
